<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Document</title>
</head>
<body>
    <script>
        data = [
            {value: 4},
            {value: 4000},
            {value: 400},
            {value: -4},
        ]
        var maxVal = data.map(x => x.value).reduce((max, val) => {return (max || 0) > val ? max : val;});
        console.log(maxVal);
    </script>
</body>
</html>